## ℹ️ Description
This package is a part of the [ABP Framework](https://abp.io).

### ABP — Open Source Web Application Framework for ASP.NET Core
ABP offers an opinionated architecture to build enterprise software solutions with best practices on top of the .NET and the ASP.NET Core platforms. ABP Framework is a complete open-source infrastructure to create modern web applications by following the best practices and conventions of software development. It provides the fundamental infrastructure, production-ready startup templates, application modules, UI themes, tooling, guides and documentation. 


### For more information, check out the below links: 

🔗Official Website: https://abp.io

🔗GitHub Repository: https://github.com/abpframework/abp

🔗Samples: https://abp.io/docs/latest/Samples/Index

🔗Official Theme: https://www.LeptonTheme.com

🔗Documentation: https://abp.io/docs

🔗Community: https://abp.io/community

🔗Blog: https://abp.io/blog

🔗Books: https://abp.io/books

🔗Twitter: https://twitter.com/abpframework

🔗Discord: https://abp.io/community/discord

🔗Stackoverflow: https://stackoverflow.com/questions/tagged/abp

🔗YouTube: https://www.youtube.com/@Volosoft


## 🚀 Key Features of the ABP Framework

🟡 Modularity

🟡 Multi-Tenancy

🟡 Bootstrap Tag Helpers

🟡 Dynamic Forms

🟡 Authentication

🟡 Authorization

🟡 Distributed Event Bus

🟡 BLOB Storing

🟡 Text Templating

🟡 Tooling: ABP CLI

🟡 Cross-Cutting Concerns

🟡 Bundling & Minification

🟡 Virtual File System

🟡 Theming

🟡 Background Jobs

🟡 DDD Infrastructure

🟡 Auto REST APIs

🟡 Dynamic Client Proxies

🟡 Multiple Database Providers

🟡 Data filtering

🟡 Test Infrastructure

🟡 Audit Logging

🟡 Object to Object Mapping

🟡 Email & SMS Abstractions

🟡 Localization

🟡 Setting Management

🟡 Extension Methods

🟡 Aspect Oriented Programming

🟡 Dependency Injection


### 📘 Supported Database Providers

🔵 Entity Framework Core

🔵 MongoDB

🔵 Dapper


### 🎴 Supported UI Frameworks

🔵 Angular

🔵 Razor Pages

🔵 Blazor Web Assembly

🔵 Blazor Server

🔵 MAUI with Blazor Hybrid


## 📫 Bug & Support

Support for open-source ABP Framework client-side packages is available at [GitHub Issues](https://github.com/abpframework/abp/issues).


##  🏦 Go Commercial 

If you are building an enterprise-level application with pro support, extra tools like a code generator, fancy themes and a microservice template, time to invest in the commercial version! 

To understand how it works, see [How it Works](https://abp.io/how-it-works) page.

If you wonder why you should choose ABP Commercial, check out [Why ABP.IO Platform](https://abp.io/docs/latest/others/why-abp-platform) page.